Ofcas.Lk.Api.Client - Version 3.0 3.0.0.112

Public Member Functions | Public Attributes | Protected Member Functions | Properties | List of all members
Ofcas.Lk.Api.Client.Core.ElevationInstance Class Reference

ElevationInstance is the representation of an instance for an element (Elevation). An instance of an elavation has no children. More...

Inheritance diagram for Ofcas.Lk.Api.Client.Core.ElevationInstance:

## Public Member Functions
ElevationInstanceInfo | Refresh ()
OperationInfo | CanEdit (string key, object value)
ElevationInstanceInfo | Edit (string key, object value)
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
bool | CanDispose ()
| Returns the information about whether the object can be deleted. An object can only be deleted if no children live. More...
IList< Guid > | Children ()
| Returns a list with Id for all children More...
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.Disposable
void | Dispose ()

## Public Attributes
DocumentContainer | Documents => _documentContainerLifetimeManager.GetCoreObject()
Public Attributes inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
Guid | CoreObjectId => Id
| This property is deprecated. Please use CoreObjectBase.Id instead. More...

## Protected Member Functions
override void | Dispose (bool disposing)
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
| CoreObjectBase (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, bool ownsObject=true)
T | CallService< T > (Func< IApiService, T > serviceCall, Guid projectGuid=default(Guid), [CallerMemberName] string callerMethod=null)
| Calls a service function and raises an error if it fails. More...
T | CallServiceWithMessage< T > (Func< IApiService, T > serviceCall, Guid projectGuid=default(Guid), [CallerMemberName] string callerMethod=null)
| Calls a service function and raises an error if it fails. More...

## Properties
ElevationInstanceInfo | Info`[get, protected set]`
Elevation | Parent`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
IServiceFactory< IApiService > | ServiceFactory`[get]`
| For internal purposes only. More...
Guid | Id`[get]`
| The unique identifier of the object instance. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
Guid | CoreObjectId`[get]`
| This property is deprecated. Please use ICoreObject.Id instead. More...
Guid | Id`[get]`
| The unique identifier of this core object. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectWithDocuments
DocumentContainer | Documents`[get]`
| The DocumentContainer of the ICoreObject. More...

## Additional Inherited Members
Protected Attributes inherited from Ofcas.Lk.Api.Client.Core.CoreObjectBase
const string | NotSupportedCauseNotImplemented = "This method is not implemented, therefore not supported."
| Default message for methods which are not supported because they are not implemented. More...
Events inherited from Ofcas.Lk.Api.Client.Core.Disposable
Action< Disposable > | Disposed

## Detailed Description

ElevationInstance is the representation of an instance for an element (Elevation). An instance of an elavation has no children.

## Member Function Documentation

## ◆ Edit()

ElevationInstanceInfo Ofcas.Lk.Api.Client.Core.ElevationInstance.Edit | ( | string | key,
|  | object | value
| ) |  |

Exceptions

  NotSupportedException |

The documentation for this class was generated from the following file:

- ElevationInstance.cs